<!-- Define the HTML document with Thymeleaf and layout namespaces -->
<html xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
layout:decorate="layouts/defaultTemplate">

<head>
    <!-- Meta tag to automatically redirect the user to the login page after 3 seconds -->
    <meta http-equiv="refresh" content="3;url=/login/">
    <!-- This meta tag triggers a redirection after 3 seconds to the /login/ URL. The content attribute sets the delay in seconds, followed by the target URL. -->
</head>

<body>
	<!-- Content section of the page, defined within the layout fragment -->
	<div layout:fragment="content">
	    <!-- Display a message indicating the registration was successful -->
	    <h2>Registration Successful!</h2>

	    <!-- Inform the user that they will be redirected to the login page shortly -->
	    <p>You will be redirected to the login page...</p>

	    <!-- Provide a link in case the automatic redirect does not work, allowing users to manually go to the login page -->
	    <a href="/login">Click here if you are not redirected.</a>
	</div>
</body>

</html>

